Package com.collibra.dgc.core.api.component.navigation

# Interface NavigationStatisticsApi

public interface NavigationStatisticsApi
API for management of operations related to Navigation Statistics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PagedResponse<NavigationStatisticsEntry>`
  `findMostViewedAssets(FindMostViewedAssetsRequest request)`
  Get the most viewed assets, with navigation-related info.
  `PagedResponse<NavigationStatisticsEntry>`
  `findRecentlyViewedAssets(FindRecentlyViewedAssetsRequest request)`
  Retrieve the assets that were recently viewed by the current user.
  `PagedResponse<Asset>`
  `findRecentlyViewedAssets(RecentlyViewedAssetsRequest request)`
  Retrieve the assets that were recently viewed by the current user.

- ## Method Details

  - ### findRecentlyViewedAssets

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<NavigationStatisticsEntry> findRecentlyViewedAssets(FindRecentlyViewedAssetsRequest request)
    Retrieve the assets that were recently viewed by the current user.
    Parameters:
      `request` - paging parameters
    Returns:
      `PagedResponse` of `NavigationStatisticsEntry`s

  - ### findRecentlyViewedAssets

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<Asset> findRecentlyViewedAssets(RecentlyViewedAssetsRequest request)
    Retrieve the assets that were recently viewed by the current user.
    Parameters:
      `request` - paging parameters
    Returns:
      `List` of `Asset`s

  - ### findMostViewedAssets

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<NavigationStatisticsEntry> findMostViewedAssets(FindMostViewedAssetsRequest request)
    Get the most viewed assets, with navigation-related info.
    Parameters:
      `request` - the search criteria for navigation entries
    Returns:
      `PagedResponse` of `NavigationStatisticsEntry`s